import { OnInit, OnChanges, EventEmitter, AfterViewInit } from '@angular/core';
import { DataService } from './DataService';
import { ISiteSettings, IListSettings } from './Models';
import { ICalendarSettings } from '../common/ICalendarSettings';
import { FormGroup, FormBuilder, FormArray } from '@angular/forms';
export declare class SPXDataSelectorComponent implements OnInit, OnChanges, AfterViewInit {
    private fb;
    private service;
    sites: ISiteSettings[];
    lists: IListSettings[][];
    dataSelector: FormGroup;
    schemaChange: EventEmitter<{}>;
    schema: ICalendarSettings;
    inputCalendar: any[];
    inputFilter: any[];
    colors: Map<string, string>;
    siteLoadError: any;
    constructor(fb: FormBuilder, service: DataService);
    readonly formCalLists: FormArray;
    initCalList(): FormGroup;
    addCalList(init: any): void;
    removeCalList(i: number): void;
    ngOnInit(): void;
    private valChanges(data);
    onSiteChange(i: number, site: ISiteSettings): void;
    getDataForSite(i: number): boolean;
    onListChange(i: number, list: IListSettings): void;
    handleCalendarOutput(i: number, val: any): void;
    handleFilterOutput(i: number, val: any): void;
    private generateSchema(val);
    ngOnChanges(): void;
    setupCommonColors(schema: ICalendarSettings): Map<string, string>;
    private isListColorsValid(list);
    private setForm(s);
    ngAfterViewInit(): void;
    private setInitialCalListValues(i);
}
